package sop_node

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_node"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_node/detail sop_node GetSopNodeDetail
//
// Get sop node by ID | 通过ID获取SopNode详情
//
// Get sop node by ID | 通过ID获取SopNode详情
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: SopNodeInfoResp

func GetSopNodeDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_node.NewGetSopNodeDetailLogic(r.Context(), svcCtx)
		resp, err := l.GetSopNodeDetail(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
